Loading...
Searching...
No Matches
Address.h File Reference

Address is an abstraction for INET or UNIX-domain address data type. More...

`#include <netinet/in.h>`
`#include <netdb.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <arpa/inet.h>`
`#include <sys/un.h>`
`#include <string.h>`
`#include <errno.h>`
`#include "assa/Logger.h"`
`#include "assa/Assure.h"`

Go to the source code of this file.

## Classes

class | ASSA::Address

## Namespaces

namespace | ASSA

## Typedefs

typedef struct sockaddr | ASSA::SA
typedef struct sockaddr_in | ASSA::SA_IN
typedef struct sockaddr_un | ASSA::SA_UN

## Detailed Description

Address is an abstraction for INET or UNIX-domain address data type.

Definition in file Address.h.